Subject: bug#51927: [External] : Re: bug#51927: 27.2; Rename `highlight-nonselected-windows'

From: Drew Adams <[email-masked]>
Date: Thu, 18 Nov 2021 17:28:35 +0000

> > > > 1. This var has no effect if `transient-mark-mode' is disabled.
> > >
> > > That is inaccurate: it has no effect if the region is inactive (you
> > > can have an active region even with transient-mark-mode disabled).  I
> > > added the caveat to the doc string.
> >
> > I disagree.  The notion of "active" mark
> > or region has no meaning outside of
> > transient-mark-mode.
> 
> Not true:
> 
>   emacs -Q
>   M-x transient-mark-mode RET
>   M-<
>   C-SPC C-SPC
> 
> Observe the message "Mark activated" in the echo area.
> 
>   C-u 20 C-f
> 
> Observe active region highlighted.

You're just confirming what I've said.
`C-h f C-SPC' tells you:

"When Transient Mark Mode is off, immediately repeating this
command activates 'transient-mark-mode' temporarily."
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

When t-m-mode is enabled, the notion of an
"active" mark/region has a meaning/effect.

When it's disabled, it has no meaning/effect.
The echoes you mention don't change this fact
(unless you consider those echoes to be the
only "meaning/effect).  Those echoes didn't
exist before we added t-m-mode, and in the
case you cite they're just useless, at best,
or at worst (a wee bit) misleading.

T-m-mode is the default now (and that's a
good thing).  And all of Emacs has pretty
much taken its behavior aboard, as a given.
That includes the echoing you cite, about
activation of the mark.

There was no such talk of mark activation
before t-m-mode was added.  (There was only
setting the mark.)  Why?  Because there was
no difference in behavior active/inactive.
There was just no such thing as being
"active".  And the same is true still, when
t-m-mode is disabled.

We can agree to disagree about this.  (Or we
can just disagree without agreement that we
disagree.)